Subject: Re: kvm networking todo wiki

From: "Michael S. Tsirkin" <[email-masked]>
Date: Sun, 26 Sep 2010 13:21:12 +0200

On Wed, Sep 22, 2010 at 03:46:22PM -0700, Sridhar Samudrala wrote:
> On Tue, 2010-09-21 at 18:11 +0200, Michael S. Tsirkin wrote:
> 
>     I've put up a wiki page with a kvm networking todo list,
>     mainly to avoid effort duplication, but also in the hope
>     to draw attention to what I think we should try addressing
>     in KVM:
> 
>     http://www.linux-kvm.org/page/NetworkingTodo
> 
>     This page could cover all networking related activity in KVM,
>     currently most info is related to virtio-net.
> 
>     Note: if there's no developer listed for an item,
>     this just means I don't know of anyone actively working
>     on an issue at the moment, not that no one intends to.
> 
>     I would appreciate it if others working on one of the items on this list
>     would add their names so we can communicate better.  If others like this
>     wiki page, please go ahead and add stuff you are working on if any.
> 
>     It would be especially nice to add autotest projects:
>     there is just a short test matrix and a catch-all
>     'Cover test matrix with autotest', currently.
> 
>     Currently there are some links to Red Hat bugzilla entries,
>     feel free to add links to other bugzillas.
> 
> 
> Thanks for capturing these items. It is really useful.
> 
> Another item that is missing is
> - support assigning SR-IOV VF to a guest via tap/macvtap
> 
> Currently, this requires
>  - VF to be put in promiscuous mode when using a bridge/tap
>  - add a new mac address to VF when using macvtap.
> 
> I don't think any of the VF drivers provide these capabilities
> at this time.
> 
> -Sridhar

I think this is part of what is needed for the work item:
    *  guest programmable mac/vlan filtering with macvtap 
If yes pls add this detail if not add another item.
More importantly: anyone's going to work on this?

-- 
MST